Package org.drinkless.tdlib

# Class TdApi.SavedMessagesTag

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SavedMessagesTag

Enclosing class:
  `TdApi`

public static class TdApi.SavedMessagesTag extends TdApi.Object
Represents a tag used in Saved Messages or a Saved Messages topic.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `count`
  Number of times the tag was used; may be 0 if the tag has non-empty label.
  `String`
  `label`
  Label of the tag; 0-12 characters.
  `TdApi.ReactionType`
  `tag`
  The tag.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedMessagesTag()`
  Represents a tag used in Saved Messages or a Saved Messages topic.
  `SavedMessagesTag(TdApi.ReactionType tag, String label, int count)`
  Represents a tag used in Saved Messages or a Saved Messages topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tag

    public TdApi.ReactionType tag
    The tag.

  - ### label

    public String label
    Label of the tag; 0-12 characters. Always empty if the tag is returned for a Saved Messages topic.

  - ### count

    public int count
    Number of times the tag was used; may be 0 if the tag has non-empty label.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavedMessagesTag

    public SavedMessagesTag()
    Represents a tag used in Saved Messages or a Saved Messages topic.

  - ### SavedMessagesTag

    public SavedMessagesTag(TdApi.ReactionType tag, String label, int count)
    Represents a tag used in Saved Messages or a Saved Messages topic.
    Parameters:
      `tag` - The tag.
      `label` - Label of the tag; 0-12 characters. Always empty if the tag is returned for a Saved Messages topic.
      `count` - Number of times the tag was used; may be 0 if the tag has non-empty label.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR